Bug 1247744 - xboxdrv systemd unit should include -c /etc/xboxdrv
xboxdrv systemd unit should include -c /etc/xboxdrv
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xboxdrv (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 14:11 EDT by Epifanov Ivan
Modified: 2016-03-26 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: xboxdrv-0.8.8-1.fc23 xboxdrv-0.8.8-1.fc22 xboxdrv-0.8.8-2.fc24 xboxdrv-0.8.8-2.fc23 xboxdrv-0.8.8-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 14:03:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Epifanov Ivan 2015-07-28 14:11:16 EDT
Description of problem:

Current xboxdrv systemd unit doesn't allow any configuration.
Moreover it contains non-default configuration for deadzone, and have dbus control disabled.
Moreover, it doesn't have --detach-kernel-driver and will just fail.
Jul 28 21:05:55 seven-swords xboxdrv[8940]: [ERROR] XboxdrvDaemon::process_match(): failed to launch ControllerThread:  Error couldn't claim the USB interface: LIBUSB_ERROR_BUSY
Jul 28 21:05:55 seven-swords xboxdrv[8940]: Try to run 'rmmod xpad' and then xboxdrv again or start xboxdrv with the option --detach-kernel-driver.


Version-Release number of selected component (if applicable):

0.8.5-7.fc21

How reproducible:

Try to, for example, connect two gamepads, or enable rumble. You can't


Steps to Reproduce:
1. Try to connect xbox wireless pad.
2. Fail, because unpatched xpad fails to sync gamepad.
3. Try to start xboxdrv.service
4. Fail, because xpad needed to be disabled
5. rmmod xpad
6. Finally start xboxdrv and sync gamepad.
2. Try to connect second gamepad
3. Fail
4. Try to find configuration file
5. Fail
6. Cry in frustration
7. Rewrite systemd unit to include config option

Actual results:

See above

Expected results:

I can configure whatever i want and use this configuration with xboxdrv started through systemd. I shouldn't be required to rmmod xpad and blacklist it for xboxdrv.service to work.

Additional info:
Comment 1 Fedora End Of Life 2015-11-04 05:44:31 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jan Kurik 2016-02-24 08:29:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Admin XMLRPC Client 2016-03-04 12:32:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2016-03-04 13:36:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2016-03-05 17:23:55 EST
xboxdrv-0.8.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-829629e5bf
Comment 6 Fedora Update System 2016-03-05 17:24:02 EST
xboxdrv-0.8.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-860d0343ae
Comment 7 Fedora Update System 2016-03-06 19:23:04 EST
xboxdrv-0.8.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-860d0343ae
Comment 8 Fedora Update System 2016-03-06 19:26:58 EST
xboxdrv-0.8.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-829629e5bf
Comment 9 Epifanov Ivan 2016-03-06 23:15:01 EST
Yeah, still not fixed. If anything, it's more broken now by --mimic-xpad(-wireless)
Comment 10 Epifanov Ivan 2016-03-06 23:32:58 EST
Three easy steps to fix:
1) remove --deadzone 4000 --deadzone-trigger 10% --mimic-xpad --mimic-xpad-wireless from systemd unit (also, you shouldn't use both --mimic-xpad and --mimic-xpad-wireless anyway)
2) move it to /etc/xboxdrv(.conf) (see why not /etc/default or /etc/sysconfig here https://fedorahosted.org/fpc/ticket/152) if you think thats a viable defaults. -d (--detach-kernel-driver) can be moved there too
3) add -c /etc/xboxdrv(.conf) as a first parameter to xboxdrv in systemd unit
Comment 11 Fedora Update System 2016-03-15 21:23:23 EDT
xboxdrv-0.8.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-15 21:49:10 EDT
xboxdrv-0.8.8-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Epifanov Ivan 2016-03-16 03:02:23 EDT
This is ridiculous, it's not fixed.
Comment 14 Antonio Trande 2016-03-16 08:37:09 EDT
(In reply to Epifanov Ivan from comment #10)
> Three easy steps to fix:
> 1) remove --deadzone 4000 --deadzone-trigger 10% --mimic-xpad
> --mimic-xpad-wireless from systemd unit (also, you shouldn't use both
> --mimic-xpad and --mimic-xpad-wireless anyway)
> 2) move it to /etc/xboxdrv(.conf) (see why not /etc/default or
> /etc/sysconfig here https://fedorahosted.org/fpc/ticket/152) if you think
> thats a viable defaults. -d (--detach-kernel-driver) can be moved there too
> 3) add -c /etc/xboxdrv(.conf) as a first parameter to xboxdrv in systemd unit

(In reply to Epifanov Ivan from comment #13)
> This is ridiculous, it's not fixed.

'Fedora Update System' comment are automated; let me do your fixes to the package.
Comment 15 Epifanov Ivan 2016-03-16 08:43:05 EDT
Yeah, i know it's automated. But even with negative karma in bodhi it's still marks bugs as fixed.

Thanks.
Comment 16 Antonio Trande 2016-03-16 08:59:08 EDT
I let slip your negative karmas; I'm fixing now according to your advices, stay tuned.
Comment 17 Antonio Trande 2016-03-16 09:21:35 EDT
Please, try with this new package:
http://copr-fe.cloud.fedoraproject.org/coprs/sagitter/Ipopt-EPEL/build/168684/
Comment 18 Epifanov Ivan 2016-03-16 09:36:59 EDT
Yep, that should work.
BTW, not that this is related to fedora, but your centos6 init-script misses actual starting/stopping of xboxdrv.
Comment 19 Fedora Update System 2016-03-16 12:12:11 EDT
xboxdrv-0.8.8-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-33af56cc6a
Comment 20 Fedora Update System 2016-03-16 12:12:18 EDT
xboxdrv-0.8.8-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-72535e381c
Comment 21 Fedora Update System 2016-03-16 12:12:23 EDT
xboxdrv-0.8.8-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dbb8eb27b3
Comment 22 Fedora Update System 2016-03-18 10:57:52 EDT
xboxdrv-0.8.8-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dbb8eb27b3
Comment 23 Fedora Update System 2016-03-18 19:55:51 EDT
xboxdrv-0.8.8-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-33af56cc6a
Comment 24 Fedora Update System 2016-03-18 21:26:31 EDT
xboxdrv-0.8.8-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-72535e381c
Comment 25 Fedora Update System 2016-03-26 14:03:31 EDT
xboxdrv-0.8.8-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-03-26 15:49:35 EDT
xboxdrv-0.8.8-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-03-26 16:20:21 EDT
xboxdrv-0.8.8-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.